=== debian/changelog ===
ros-indigo-pheeno-ros (0.1.1-4trusty) trusty; urgency=high

  * Initial release
  * Contributors: zmk5

 -- zmk5 <zkakish@gmail.com>  Tue, 19 Sep 2017 07:00:00 -0000

ros-indigo-pheeno-ros (0.1.0-4trusty) trusty; urgency=high

  * Preparing initial release
  * Contributors: zmk5

 -- zmk5 <zkakish@gmail.com>  Tue, 19 Sep 2017 07:00:00 -0000
